none
aspnet_isapiのバージョンについて RRS feed

  • 質問


  • お世話になります。

    aspnet_isapi.dllのバージョンについて、教えてください。

    aspnet_isapi.dll(2.0.50727.832)、aspnet_isapi.dll(2.0.50727.1433 )で
    正常に動作するあるプログラムが、aspnet_isapi.dll(2.0.50727.42)で
    うまく動作しません。

    環境:2003R2 .net2.0 SP未適用 IIS 6.0

    質問:
    ①aspnet_isapi.dllの特定のバージョンをサーバに適用する場合、どうすればよいでしょうか
    ②aspnet_isapi.dllのバージョンの見方ですが、このケースでは、2.0.50727.832が一番新しく、2.0.50727.1433が一番古いでしょうか?

    よろしくお願いいたします。

    • 移動 Wang Huang 2012年10月2日 1:30 (移動元:Internet Information Services 5.x, 6.0 - 全般)
    2009年4月13日 12:14

回答

  • http://ja.wikipedia.org/wiki/.NET_Framework
    などでバージョン番号がリストされていますが、2.0.50727.1433はSP1です。
    なぜそうなったのかはわかりませんが、ファイルが混ざっているようですので動作しなくても当然でしょう。
    個別にファイルを操作せず、他のファイルとバージョンを一致させましょう。

    なお最新はSP2(2.0.50727.3053)です。
    • 回答としてマーク moonal 2009年4月13日 23:10
    2009年4月13日 12:27